usr/src/cmd/subversion/install-sfw
changeset 2 8f1801a322e9
child 74 fd34810c2c84
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/usr/src/cmd/subversion/install-sfw	Sun Dec 20 07:12:51 2009 +0200
@@ -0,0 +1,244 @@
+#!/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# ident	"@(#)install-sfw	1.1	09/09/30 SMI"
+
+VERS=subversion-1.6.5
+VERSPY26=subversion-1.6.5-py26
+APR_VERSION=1.3
+APACHE_VERSION=2.2
+
+PREFIX=${ROOT}/usr
+BINDIR=${PREFIX}/bin
+LIBDIR=${PREFIX}/lib/svn
+INCLUDEDIR=${PREFIX}/include/svn
+JARLIBDIR=${PREFIX}/share/lib/java
+LOCALEDIR=${PREFIX}/share/locale
+APACHEMODDIR=${PREFIX}/apache2/${APACHE_VERSION}/libexec
+SHAREDMODRUNPATH=/usr/lib/svn:/usr/apr/${APR_VERSION}/lib:/usr/apr-util/${APR_VERSION}/lib
+MAN1DIR=${PREFIX}/share/man/man1
+MAN5DIR=${PREFIX}/share/man/man5
+MAN8DIR=${PREFIX}/share/man/man8
+ROOTMAN1DIR=${MAN1DIR}
+ROOTMAN5DIR=${MAN5DIR}
+ROOTMAN8DIR=${MAN8DIR}
+
+if [ "x${INSTDIR}" = "x" ] || [ "x${TOP}" = "x" ] ; then
+    exit 1
+fi
+
+MANSCRIPT=${TOP}/sunman.sed
+. ${SRC}/tools/install.subr
+
+for file in \
+    "svn" \
+    "svnadmin" \
+    "svndumpfilter" \
+    "svnlook" \
+    "svnserve" \
+    "svnsync" \
+    "svnversion" 
+do
+    elfedit -e "dyn:runpath ${SHAREDMODRUNPATH}" "${INSTDIR}/usr/bin/${file}"
+    _install E ${INSTDIR}/usr/bin/${file} ${BINDIR}/${file} 0755
+done
+
+for file in \
+    "mod_authz_svn.h" \
+    "mod_dav_svn.h" \
+    "svn_auth.h" \
+    "svn_base64.h" \
+    "svn_checksum.h" \
+    "svn_client.h" \
+    "svn_cmdline.h" \
+    "svn_compat.h" \
+    "svn_config.h" \
+    "svn_ctype.h" \
+    "svn_dav.h" \
+    "svn_delta.h" \
+    "svn_diff.h" \
+    "svn_dirent_uri.h" \
+    "svn_dso.h" \
+    "svn_error.h" \
+    "svn_error_codes.h" \
+    "svn_fs.h" \
+    "svn_hash.h" \
+    "svn_io.h" \
+    "svn_iter.h" \
+    "svn_md5.h" \
+    "svn_mergeinfo.h" \
+    "svn_nls.h" \
+    "svn_opt.h" \
+    "svn_path.h" \
+    "svn_pools.h" \
+    "svn_props.h" \
+    "svn_quoprint.h" \
+    "svn_ra.h" \
+    "svn_ra_svn.h" \
+    "svn_repos.h" \
+    "svn_sorts.h" \
+    "svn_string.h" \
+    "svn_subst.h" \
+    "svn_time.h" \
+    "svn_types.h" \
+    "svn_user.h" \
+    "svn_utf.h" \
+    "svn_version.h" \
+    "svn_wc.h" \
+    "svn_xml.h"
+do
+    _install N ${INSTDIR}/usr/include/subversion-1/${file} ${INCLUDEDIR}/${file} 0444
+done
+
+for file in \
+    "mod_authz_svn" \
+    "mod_dav_svn"
+do
+    elfedit -e "dyn:runpath ${SHAREDMODRUNPATH}" "${VERS}/subversion/${file}/.libs/${file}.so"
+    _install D "${VERS}/subversion/${file}/.libs/${file}.so" ${APACHEMODDIR}/${file}.so 0555
+done
+
+for file in \
+    "libsvn_client-1" \
+    "libsvn_delta-1" \
+    "libsvn_diff-1" \
+    "libsvn_fs-1" \
+    "libsvn_fs_fs-1" \
+    "libsvn_fs_util-1" \
+    "libsvn_ra-1" \
+    "libsvn_ra_local-1" \
+    "libsvn_ra_neon-1" \
+    "libsvn_ra_svn-1" \
+    "libsvn_repos-1" \
+    "libsvn_subr-1" \
+    "libsvn_swig_perl-1" \
+    "libsvn_swig_py-1" \
+    "libsvn_wc-1" \
+    "libsvnjavahl-1"
+do
+    elfedit -e "dyn:runpath ${SHAREDMODRUNPATH}" ${INSTDIR}/usr/lib/svn/${file}.so.0.0.0
+    _install D ${INSTDIR}/usr/lib/svn/${file}.so.0.0.0 ${LIBDIR}/${file}.so.0.0.0 0755
+    _install L ${file}.so.0.0.0 ${LIBDIR}/${file}.so.0
+    _install L ${file}.so.0.0.0 ${LIBDIR}/${file}.so
+done
+
+_install N ${INSTDIR}/usr/lib/svn/svn-javahl/svn-javahl.jar ${JARLIBDIR}/svn-javahl.jar 0444
+
+PYTHON_VERSION=2.4
+PYTHONVENDORDIR=${PREFIX}/lib/python${PYTHON_VERSION}/vendor-packages
+
+for PYTHON_VERSION in \
+	"2.4" \
+	"2.6"
+do
+	PYTHONVENDORDIR=${PREFIX}/lib/python${PYTHON_VERSION}/vendor-packages
+
+	for file in \
+		"_client.so" \
+		"_core.so" \
+		"_delta.so" \
+		"_diff.so" \
+		"_fs.so" \
+		"_ra.so" \
+		"_repos.so" \
+		"_wc.so"
+	do
+		elfedit -e "dyn:runpath ${SHAREDMODRUNPATH}" ${INSTDIR}/usr/lib/python${PYTHON_VERSION}/vendor-packages/libsvn/${file}
+		_install D ${INSTDIR}/usr/lib/python${PYTHON_VERSION}/vendor-packages/libsvn/${file} ${PYTHONVENDORDIR}/libsvn/${file} 0755
+	done
+
+	for file in \
+		"client" \
+		"core" \
+		"delta" \
+		"diff" \
+		"fs" \
+		"ra" \
+		"repos" \
+		"wc" \
+		"__init__"
+	do
+			_install N ${INSTDIR}/usr/lib/python${PYTHON_VERSION}/vendor-packages/libsvn/${file}.py ${PYTHONVENDORDIR}/libsvn/${file}.py 0644
+			_install N ${INSTDIR}/usr/lib/python${PYTHON_VERSION}/vendor-packages/libsvn/${file}.pyc ${PYTHONVENDORDIR}/libsvn/${file}.pyc 0644
+	done
+
+	for file in \
+		"client" \
+		"core" \
+		"delta" \
+		"diff" \
+		"fs" \
+		"ra" \
+		"repos" \
+		"wc" \
+		"__init__" 
+	do
+		_install N ${INSTDIR}/usr/lib/python${PYTHON_VERSION}/vendor-packages/svn/${file}.py ${PYTHONVENDORDIR}/svn/${file}.py 0644
+		_install N ${INSTDIR}/usr/lib/python${PYTHON_VERSION}/vendor-packages/svn/${file}.pyc ${PYTHONVENDORDIR}/svn/${file}.pyc 0644
+	done
+done
+
+for file in \
+	"svn.1" \
+    "svnadmin.1" \
+    "svndumpfilter.1" \
+    "svnlook.1" \
+    "svnsync.1" \
+    "svnversion.1"
+do
+    _install M ${INSTDIR}/usr/share/man/man1/${file} ${MAN1DIR}/${file} 0444
+done
+
+for file in \
+    "svnserve.conf.5"
+do
+    _install M ${INSTDIR}/usr/share/man/man5/${file} ${MAN5DIR}/${file} 0444
+done
+
+for file in \
+    "svnserve.8"
+do
+    _install M ${INSTDIR}/usr/share/man/man8/${file} ${MAN8DIR}/${file} 0444
+done
+
+for file in \
+    "de" \
+    "es" \
+    "fr" \
+    "it" \
+    "ja" \
+    "ko" \
+    "nb" \
+    "pl" \
+    "pt_BR" \
+    "sv" \
+    "zh_CN" \
+    "zh_TW"
+do
+    _install N ${INSTDIR}/usr/share/locale/${file}/LC_MESSAGES/subversion.mo ${LOCALEDIR}/${file}/LC_MESSAGES/subversion.mo 0444
+done
+
+exit 0
+